org.modeshape.connector.meta.jdbc

## Class ProcedureRetriever

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.AbstractMetadataRetriever
  - - org.modeshape.connector.meta.jdbc.ProcedureRetriever

-     public class ProcedureRetriever
      extends AbstractMetadataRetriever

  Class which converts procedure metadata to connector documents.

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.connector.meta.jdbc.AbstractMetadataRetriever

      `connector`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProcedureRetriever(JdbcMetadataConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canHandle(String id)`
    `protected Document` | `getDocumentById(String id, DocumentWriter writer, Connection connection)`
    `protected String` | `idFrom(String path)`

    - ### Methods inherited from class org.modeshape.connector.meta.jdbc.AbstractMetadataRetriever

      `generateId, removeEmptyOrNullElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcedureRetriever

          protected ProcedureRetriever(JdbcMetadataConnector connector)

  - ### Method Detail

    - #### getDocumentById

          protected Document getDocumentById(String id,
                                 DocumentWriter writer,
                                 Connection connection)

      Specified by:
        `getDocumentById` in class `AbstractMetadataRetriever`

    - #### idFrom

          protected String idFrom(String path)

      Specified by:
        `idFrom` in class `AbstractMetadataRetriever`

    - #### canHandle

          protected boolean canHandle(String id)

      Specified by:
        `canHandle` in class `AbstractMetadataRetriever`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.